<?php

/////////////////////////////////////////////////////////////////////
// dewpoint - returns dewpoint from temp and humidity
//

function dewpoint( $tcr, $hcr )
{

    $dTemp = ( $tcr - 32 ) * 5/9;   // convert to celsius

    $dVp = ( 6.11 * pow(10, ((7.5 * $dTemp)/(237.7 + $dTemp)) ) ) * $hcr/100;
    $dLogVp = log( $dVp );

    $dDewPtC = (-430.22 + (237.7*$dLogVp))/( 19.08 - $dLogVp );

    $dDewPtF = ($dDewPtC * 9/5 ) + 32;  // convert to fahrenheit

    return $dDewPtF;

}

?>
