<?php

// return direction as "W", "NW", etc. from degrees
	
function direction( $degrees )
{

    if( $degrees>349 )
        $dir = "N";
    else if( $degrees>326 )
        $dir = "NNW";
    else if( $degrees>304 )
        $dir = "NW";
    else if( $degrees>281 )
        $dir = "WNW";
    else if( $degrees>259 )
        $dir = "W";
    else if( $degrees>236 )
        $dir = "WSW";
    else if( $degrees>214 )
        $dir = "SW";
    else if( $degrees>191 )
        $dir = "SSW";
    else if( $degrees>169 )
        $dir = "S";
    else if( $degrees>146 )
        $dir = "SSE";
    else if( $degrees>124 )
        $dir = "SE";
    else if( $degrees>101 )
        $dir = "ESE";
    else if( $degrees>79 )
        $dir = "E";
    else if( $degrees>56 )
        $dir = "ENE";
    else if( $degrees>34 )
        $dir = "NE";
    else if( $degrees>11 )
        $dir = "NNE";
    else
        $dir = "N";

    return $dir;

}


// precip color

function pcolor( $precip )

{

    if( $precip > 0 )
        $color = "#00FFFF";	// cyan
	else
		$color = "#000000";	// black

	return $color;
	
}

// EMP color

function ecolor( $emp )

{

    if( $emp > 0 )
        $color = "#FF0000";	// red
	else
		$color = "#000000";	// black

	return $color;
	
}


// temperature color

function tcolor( $temp )

{

    if( $temp > 99 )
        $color = "#FFFFFF";	// white
    else if( $temp > 89 )
        $color = "#FF0000";	// red
    else if( $temp > 69 )
        $color = "#FFFF00";	// yellow
    else if( $temp > 49 )
        $color = "#008800";	// green
    else if( $temp > 39 )
        $color = "#00FFFF";	// cyan
    else if( $temp > 32 )
        $color = "#0000FF";	// blue
    else if( $temp > 0 )
        $color = "#FFFFFF";	// white
	else
		$color = "#000000";	// black

	return $color;

}

// wind color

function wcolor( $speed )

{

    if( $speed > 50 )
        $color = "#FFFFFF";	// white
    else if( $speed > 30 )
        $color = "#FF0000";	// red
    else if( $speed > 20 )
        $color = "#FFFF00";	// yellow
    else if( $speed > 10 )
        $color = "#00FFFF";	// cyan
    else if( $speed > 0 )
        $color = "#008800";	// green
	else
		$color = "#000000";	// black

	return $color;
	
}

// humidity color

function hcolor( $humidity )

{

    if( $humidity > 79 )
        $color = "#0000FF";	// blue
    else if( $humidity > 69 )
        $color = "#00FFFF";	// cyan
    else if( $humidity > 49 )
        $color = "#008800";	// green
    else if( $humidity > 19 )
        $color = "#FFFF00";	// yellow
    else
		$color = "#FFFFFF";	// white

	return $color;
	
}


/////////////////////////////////////////////////////////////////////
//  CalcAzDist - determine azimuth and distance from A->B. If unable
//  to calculate, NULL string is returned.
//

function CalcAzDist( $ALat, $ALong, $BLat, $BLong )

{

	define( "PI", "3.141592654" );
	define( "STATUTE", "3955.7579" );

    // cannot work with zeros...
    if( ($BLong==0) && ($BLat==0) )
        return NULL;

    // radians
    $ALat = PI * $ALat/180;
    $BLat = PI * $BLat/180;
    $L  = PI * ($ALong - $BLong)/180;  

    // calc D in deg of arc
    $CosD = sin($ALat) * sin($BLat) + cos($ALat) * cos($BLat) * cos($L);
    if( $CosD > 1 )
        $CosD = 1;
    else if ( $CosD < -1 )
        $CosD = -1;
    $distance = acos($CosD);

    if( $distance > 0 ) {
        $CosC = (sin($BLat)-sin($ALat)*cos($distance)) / (cos($ALat)*sin($distance));
        if( $CosC > 1)
            $CosC = 1;
        else if ( $CosC < -1 )
            $CosC = -1;
        $azimuth = acos($CosC)*180/PI;
        if( sin($L) < 0 )
			$azimuth = 360 - $azimuth;
    
        $distance *= STATUTE;

		$string = sprintf( "%3d mi %s", number_format($distance, 0), direction( $azimuth ) );

        }
    else
		$string = NULL;

	return array( $string, $distance );

}


?>


