/////////////////////////////////////////////////////////////////////////////
// textfile.cpp - handler class for text file I/O
//
//                             -------------------
//    begin                : Wed Feb  5 11:25:29 CST 2003
//    copyright            : (C) 2003-2005 by John Bennett
//    email                : n4xi@arrl.net
////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
////////////////////////////////////////////////////////////////////////////


#define _TEXTFILE_CPP_

#include "textfile.h"


textfile::textfile()
{
    m_hFile = NULL;
}


textfile::~textfile()
{
    if( m_hFile )
        fclose( m_hFile );
}


BOOL textfile::open( const char * pszFile, int nMode )
{
    if( m_hFile )
        return FALSE;   // don't open before closing...

    switch( nMode )
    {
        case FILE_READ:
            m_hFile = fopen( pszFile, "r" );
            break;

        case FILE_CREATE:
            m_hFile = fopen( pszFile, "w" );
            break;

        case FILE_CREATE_RW:
            m_hFile = fopen( pszFile, "w+" );
            break;

        case FILE_RW:
            m_hFile = fopen( pszFile, "r+" );
            break;

        case FILE_APPEND:
            m_hFile = fopen( pszFile, "a" );
            break;

        case FILE_APPEND_R:
            m_hFile = fopen( pszFile, "a+" );
            break;

        default:
            return FALSE;   // ambiguous mode
    }

    if( !m_hFile )
        return FALSE;

    return TRUE;
}


BOOL textfile::close( void )
{
    int nStatus;

    if( m_hFile == NULL )
        return TRUE;

    nStatus = fclose( m_hFile );
    m_hFile = NULL;

    if( nStatus == 0 )
        return TRUE;
    else
        return FALSE;
}


FILE * textfile::handle( void )
{
    return m_hFile;
}

