/***************************************************************************
 *   Copyright (C) 2005 by John Bennett   *
 *   n4xi@arrl.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

//
// trim.cpp - trim leading and trailing spaces from string
//

#define _TRIM_CPP_

#include <string.h>

#include "common.h"
#include "trim.h"


///////////////////////////////////////////////////////////////////////////////
// TrimSpaces - trims leading and trailing spaces from string
//

void TrimSpaces( char * szString )
{
    char * pH;
    char * pT;
    int nLen;

    if( *szString == 0 )
        return;

    // get rid of leading spaces
    pH = szString;
    while( *pH == ' ' )
        pH++;

    // get rid of trailing spaces
    pT = strchr( pH, 0 );
    do { pT--; } while( *pT == ' ' );
    pT++;
    *pT = 0;

    nLen = strlen( pH ) + 1;

    memmove( szString, pH, nLen );
}

