/***************************************************************************
 *   Copyright (C) 2005 by John Bennett   *
 *   n4xi@arrl.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

//
// aconfig.h
//

#ifndef _ACONFIG_H_
#define _ACONFIG_H_

// libwxn
#include <common.h>

#ifndef BOOL
    typedef int BOOL;
#endif

struct aprconf
{
    BOOL bUseQrz;                   // TRUE if QRZ CDROM is used
    char szQrzPath[128];            // Path for QRZ CDROM/data files
    BOOL bSendAlarmData;            // TRUE if alarm trip will cause message BC
    char szAprsText[STRING_SIZE+1];
    int nAprsExtraInterval;
    int nAprsDelayThreshold;        // number of frames beyond which delay of extended packets kicks in
    BOOL bAprsReceive;
    BOOL bRcvLocal;
    BOOL bUseCallbook;
};


BOOL ReadAprConfig( void );


#ifndef _ACONFIG_CPP_
    extern aprconf g_AprConfig;
#endif


#endif  // _ACONFIG_H_

