/***************************************************************************
 *   Copyright (C) 2005 by John Bennett   *
 *   n4xi@arrl.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

//
// dupe.h  - check for duplicate packets. Circular queue length determined
// by MAX_LIST.
//

#ifndef _DUPE_H_
#define _DUPE_H_

#include <time.h>

// libwxn
#include <common.h>

#ifndef BOOL
    typedef int BOOL;
#endif

#define MAX_LIST 10

struct dlist
{
    char szCallSsid[CALLSSID_SIZE+1];
    unsigned uCrc;
    time_t tTime;
    dlist * pNext;
    dlist * pPrev;
};


class Dupe
{

public:

    Dupe();
    ~Dupe();

    void Add( char * szCallSsid, unsigned uCrc );
    BOOL InList( char * szCallSsid, unsigned uCrc );

private:

    void RemoveTail( void );

    int m_nCount;

    dlist * m_pHead;
    dlist * m_pTail;

};

#endif  // _DUPE_H_
