/***************************************************************************
 *   Copyright (C) 2005 by John Bennett   *
 *   n4xi@arrl.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _HCONFIG_H_
#define _HCONFIG_H_

// libwxn
#include <common.h>

#include "alarm.h"
#include "onewire.h"


#ifndef BOOL
    typedef int BOOL;
#endif

// config structure

struct hostconf
{
    int nStnType;
    int nBaud;
    char szWxStnPort[16];
    int nTimeout;
    int nGaugeType;
    BOOL bEnableOneWire;
    char szOneWirePort[16];
    int nHAAT;
    BOOL bOwEmp;
    BOOL bOwRad;
    BOOL bOwSunshine;
    BOOL bOwSoilTemp;
    uchar OwSoilTempSN[OW_SN_LEN];
    BOOL bOwSoil2Temp;
    uchar OwSoil2TempSN[OW_SN_LEN];
    BOOL bOwInsideTemp;
    uchar OwInsideTempSN[OW_SN_LEN];
    BOOL bOwOutsideTemp;
    uchar OwOutsideTempSN[OW_SN_LEN];
    BOOL bOwBarom;
    uchar OwBaromSN[OW_SN_LEN];
    int  nBaromOffset;              // serves 1-Wire stations
    BOOL bOwInsideHumid;
    uchar OwInsideHumidSN[OW_SN_LEN];
    BOOL bOwOutsideHumid;
    uchar OwOutsideHumidSN[OW_SN_LEN];
    BOOL bOwAspCtrl;
    uchar OwAspCtrlSN[OW_SN_LEN];
    int nAspiratorTrip;             // trip-point where aspirator turns on/off
    BOOL bOwHtrCtrl;
    uchar OwHtrCtrlSN[OW_SN_LEN];
    BOOL bNullNoSensors;
    struct alarm Alarm;
    int nCesium137;
    char szCity[CITY_SIZE+1];
    char szCounty[COUNTY_SIZE+1];
    char szState[STATE_SIZE+1];
    char szFips[FIPS_SIZE+1];
    BOOL bEnableWxPic;
    char szWxPicPort[16];
    struct alarm_email email;
};


// prototypes

BOOL ReadHostConfig( void );


#ifndef _HCONFIG_CPP_
    extern hostconf g_HostConfig;
#endif


#endif  // _HCONFIG_H_

