/***************************************************************************
 *   Copyright (C) 2005 by John Bennett   *
 *   n4xi@arrl.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _ONEWIRE_H_
#define _ONEWIRE_H_

#define EMP_CNT 1
#define RAD_CNT 2

#define ON  0
#define OFF 1

#define INSIDE_TEMP       1
#define OUTSIDE_TEMP      2
#define SOIL_TEMP         3
#define SOIL2_TEMP        4
#define INSIDE_HUMIDITY   5
#define OUTSIDE_HUMIDITY  6
#define ASPIRATOR         7
#define HEATER            8

#define OW_SN_LEN         8

#ifndef BOOL
    typedef int BOOL;
#endif

BOOL OpenOneWire( char * szPort );
BOOL IdOneWireDevices( void );
void CloseOneWire( void );
BOOL OwReadCounter( int nType, unsigned long & ulCount );
BOOL OwReadTemp( int nType, int & nVal );
int OwReadBarom( void );
BOOL OwReadHumid( int nType, int & nVal );
int OwCtrlStatus( int nType );
BOOL OwCtrlSet( int nType, int nLevel );
void OwCtrlReset( void );
void OwControl( void );

#endif      // _ONEWIRE_H_


